Up

# NSMassFormatter class documentation

### Authors

Gregory John Casamento (`greg.casamento@gmail.com`)

Date: Generated at 2025-02-13 06:02:40 +0000

Copyright: (C) 2019 Free Software Foundation, Inc.

# Software documentation for the NSMassFormatter class

## NSMassFormatter : NSObject

> Declared in:
>   Foundation/NSMassFormatter.h

Availability: MacOS-X 10.10.0
Description forthcoming.

Instance Variables
Method summary

- -getObjectValue:forString:errorDescription:
- -isForPersonMassUse
- -numberFormatter
- -setForPersonMassUse:
- -setNumberFormatter:
- -setUnitStyle:
- -stringFromKilograms:
- -stringFromValue:unit:
- -unitStringFromKilograms:usedUnit:
- -unitStringFromValue:unit:
- -unitStyle

### getObjectValue: forString: errorDescription:

- (BOOL) getObjectValue: (id*)obj forString: (NSString*)string errorDescription: (NSString**)error;
Availability: MacOS-X 10.10.0
Description forthcoming.

### isForPersonMassUse

- (BOOL) isForPersonMassUse;
Availability: MacOS-X 10.10.0
Description forthcoming.

### numberFormatter

- (NSNumberFormatter*) numberFormatter;
Availability: MacOS-X 10.10.0
Description forthcoming.

### setForPersonMassUse:

- (void) setForPersonMassUse: (BOOL)flag;
Availability: MacOS-X 10.10.0
Description forthcoming.

### setNumberFormatter:

- (void) setNumberFormatter: (NSNumberFormatter*)formatter;
Availability: MacOS-X 10.10.0
Description forthcoming.

### setUnitStyle:

- (void) setUnitStyle: (NSFormattingUnitStyle)style;
Availability: MacOS-X 10.10.0
Description forthcoming.

### stringFromKilograms:

- (NSString*) stringFromKilograms: (double)numberInKilograms;
Availability: MacOS-X 10.10.0
Description forthcoming.

### stringFromValue: unit:

- (NSString*) stringFromValue: (double)value unit: (NSMassFormatterUnit)unit;
Availability: MacOS-X 10.10.0
Description forthcoming.

### unitStringFromKilograms: usedUnit:

- (NSString*) unitStringFromKilograms: (double)numberInKilograms usedUnit: (NSMassFormatterUnit*)unitp;
Availability: MacOS-X 10.10.0
Description forthcoming.

### unitStringFromValue: unit:

- (NSString*) unitStringFromValue: (double)value unit: (NSMassFormatterUnit)unit;
Availability: MacOS-X 10.10.0
Description forthcoming.

### unitStyle

- (NSFormattingUnitStyle) unitStyle;
Availability: MacOS-X 10.10.0
Description forthcoming.

## Instance Variables for NSMassFormatter Class

### _isForPersonMassUse

@protected BOOL _isForPersonMassUse;
Availability: MacOS-X 10.10.0
Warning the underscore at the start of the name of this instance variable indicates that, even though it is not technically private, it is intended for internal use within the package, and you should not use the variable in other code.

### _numberFormatter

@protected NSNumberFormatter* _numberFormatter;
Availability: MacOS-X 10.10.0
Warning the underscore at the start of the name of this instance variable indicates that, even though it is not technically private, it is intended for internal use within the package, and you should not use the variable in other code.

### _unitStyle

@protected NSFormattingUnitStyle _unitStyle;
Availability: MacOS-X 10.10.0
Warning the underscore at the start of the name of this instance variable indicates that, even though it is not technically private, it is intended for internal use within the package, and you should not use the variable in other code.

Up